相信作为一名iOS开发者,每当WWDC开始,iOS升级时,那种切肤之痛,是只有开发者才能体会而又无言的一种沉默抗议。

Apple很残暴的将MAC OS、iOS、Xcode牢固的捆绑在一起。如果需要真机调试,那么Xcode的SDK版本一定不能低于真机,Xcode版本的安装有MAC OS的版本要求,这样一来,只要升级一下iOS版本,那么恭喜你,很有可能你需要升级MAC OS和Xcode。而对于动辄数十个G的文件,在天朝的绿色网络保护下,是一件多么伤神的事情啊。更甚的是,现在的MAC OS系统越来越不好用了,我很是怀恋之前的版本,课无奈胳膊拗不过大腿。

现在,终于有了可行的办法,能够解决上述神伤,在此总结分享给大家。

下载Xcode历史版本

Apple提供了官方下载地址:

https://developer.apple.com/download/more

打开链接,登录账户,即可看见下图所示:

下载历史版本Xcode

根据左侧栏,筛选自己需要的软件,下载即可。

升级Xcode真机调试版本

1)在一台已经安装好的高版本中,获取需要的文件。

2)替换自己的电脑上的Xcode对应的文件。

步骤如下:

1)找到应用程序,显示包中的文件

显示包文件

2)进入路径

/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport

文件目录

拷贝需要的文件,如 9.3文件夹。

粘贴至自己电脑对应的位置即可。

升级Xcode的SDK

延续上述步骤,只需要进入文件路径

/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs

拷贝SDKs文件夹,粘贴至自己电脑相对应位置即可。